Loading...
Searching...
No Matches
CMockaValueData Union Reference
📚 The CMocka API » 🔨 Utility Macros and Types

`#include <cmocka.h>`

## Data Fields

intmax_t | int_val
uintmax_t | uint_val
float | float_val
double | real_val
void * | ptr
const void * | const_ptr
void *(* | func )(void)

## Detailed Description

CMocka value data type.

Allows storing multiple types of values in CMocka functions without using undefined behavior.

## Field Documentation

## const_ptr

const void* CMockaValueData::const_ptr

Holds pointer data (const)

## float_val

float CMockaValueData::float_val

Holds floating-point type

## func

void *(* CMockaValueData::func) (void)

Holds function pointer data

## int_val

intmax_t CMockaValueData::int_val

Holds signed integral types

## ptr

void* CMockaValueData::ptr

Holds pointer data

## real_val

double CMockaValueData::real_val

Holds double/real floating-pointing types

## uint_val

uintmax_t CMockaValueData::uint_val

Holds integral types

The documentation for this union was generated from the following file:

- cmocka.h